=== debian/changelog ===
rust-pathrs (0.2.1-1) unstable; urgency=medium

  * Package pathrs 0.2.1 from crates.io using debcargo 2.7.11

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 08 Nov 2025 16:20:08 -0500
