=== debian/control ===
Source: rust-pathrs
Section: rust
Priority: optional
Build-Depends: debhelper-compat (= 13),
 dh-sequence-cargo
Build-Depends-Arch: cargo:native <!nocheck>,
 rustc:native (>= 1.63) <!nocheck>,
 libstd-rust-dev <!nocheck>,
 librust-bitflags-2+default-dev (>= 2.2-~~) <!nocheck>,
 librust-itertools-0.13+default-dev <!nocheck>,
 librust-libc-0.2+default-dev (>= 0.2.175-~~) <!nocheck>,
 librust-memchr-2+default-dev <!nocheck>,
 librust-once-cell-1+default-dev <!nocheck>,
 librust-rustix-1+default-dev (>= 1.1-~~) <!nocheck>,
 librust-rustix-1+fs-dev (>= 1.1-~~) <!nocheck>,
 librust-rustix-1+mount-dev (>= 1.1-~~) <!nocheck>,
 librust-rustix-1+process-dev (>= 1.1-~~) <!nocheck>,
 librust-rustix-1+thread-dev (>= 1.1-~~) <!nocheck>,
 librust-rustversion-1+default-dev <!nocheck>,
 librust-static-assertions-1+default-dev (>= 1.1-~~) <!nocheck>,
 librust-tempfile-3+default-dev <!nocheck>,
 librust-thiserror-2+default-dev <!nocheck>
Maintainer: Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Uploaders:
 Reinhard Tartler <siretart@tauware.de>
Standards-Version: 4.7.2
Vcs-Git: https://salsa.debian.org/rust-team/debcargo-conf.git [src/pathrs]
Vcs-Browser: https://salsa.debian.org/rust-team/debcargo-conf/tree/master/src/pathrs
Homepage: https://github.com/cyphar/libpathrs
X-Cargo-Crate: pathrs

Package: librust-pathrs-dev
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 librust-bitflags-2+bytemuck-dev (>= 2.2-~~),
 librust-bitflags-2+default-dev (>= 2.2-~~),
 librust-bytemuck-1+default-dev,
 librust-bytemuck-1+derive-dev,
 librust-bytemuck-1+extern-crate-std-dev,
 librust-itertools-0.13+default-dev,
 librust-libc-0.2+default-dev (>= 0.2.175-~~),
 librust-memchr-2+default-dev,
 librust-once-cell-1+default-dev,
 librust-rand-0.8+default-dev,
 librust-rustix-1+default-dev (>= 1.1-~~),
 librust-rustix-1+fs-dev (>= 1.1-~~),
 librust-rustix-1+mount-dev (>= 1.1-~~),
 librust-rustix-1+process-dev (>= 1.1-~~),
 librust-rustix-1+thread-dev (>= 1.1-~~),
 librust-rustversion-1+default-dev,
 librust-static-assertions-1+default-dev (>= 1.1-~~),
 librust-tempfile-3+default-dev,
 librust-thiserror-2+default-dev
Provides:
 librust-pathrs+-test-as-root-dev (= ${binary:Version}),
 librust-pathrs+capi-dev (= ${binary:Version}),
 librust-pathrs+default-dev (= ${binary:Version}),
 librust-pathrs-0-dev (= ${binary:Version}),
 librust-pathrs-0+-test-as-root-dev (= ${binary:Version}),
 librust-pathrs-0+capi-dev (= ${binary:Version}),
 librust-pathrs-0+default-dev (= ${binary:Version}),
 librust-pathrs-0.2-dev (= ${binary:Version}),
 librust-pathrs-0.2+-test-as-root-dev (= ${binary:Version}),
 librust-pathrs-0.2+capi-dev (= ${binary:Version}),
 librust-pathrs-0.2+default-dev (= ${binary:Version}),
 librust-pathrs-0.2.1-dev (= ${binary:Version}),
 librust-pathrs-0.2.1+-test-as-root-dev (= ${binary:Version}),
 librust-pathrs-0.2.1+capi-dev (= ${binary:Version}),
 librust-pathrs-0.2.1+default-dev (= ${binary:Version})
Description: C-friendly API to make path resolution safer on Linux - Rust source code
 Source code for Debianized Rust crate "pathrs"
