=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --buildsystem cargo
export RUSTC_BOOTSTRAP := 1
export PATH := $(CURDIR)/debian/debcargo_testing_bin:$(PATH)
