=== debian/tests/control ===
Test-Command: /usr/share/cargo/bin/cargo-auto-test pathrs 0.2.1 --all-targets --all-features
Features: test-name=rust-pathrs:@
Depends: dh-cargo (>= 31), rustc (>= 1.63), librust-anyhow-1+default-dev, librust-clap-3+cargo-dev, librust-clap-3+default-dev, librust-errno-0.3+default-dev, librust-indoc-2+default-dev, librust-paste-1+default-dev, librust-path-clean-1+default-dev, librust-pretty-assertions-1+default-dev (>= 1.4.1-~~), librust-pretty-assertions-1+unstable-dev (>= 1.4.1-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test pathrs 0.2.1 --all-targets --no-default-features --features _test_as_root
Features: test-name=librust-pathrs-dev:_test_as_root
Depends: dh-cargo (>= 31), rustc (>= 1.63), librust-anyhow-1+default-dev, librust-clap-3+cargo-dev, librust-clap-3+default-dev, librust-errno-0.3+default-dev, librust-indoc-2+default-dev, librust-paste-1+default-dev, librust-path-clean-1+default-dev, librust-pretty-assertions-1+default-dev (>= 1.4.1-~~), librust-pretty-assertions-1+unstable-dev (>= 1.4.1-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test pathrs 0.2.1 --all-targets --no-default-features --features capi
Features: test-name=librust-pathrs-dev:capi
Depends: dh-cargo (>= 31), rustc (>= 1.63), librust-anyhow-1+default-dev, librust-clap-3+cargo-dev, librust-clap-3+default-dev, librust-errno-0.3+default-dev, librust-indoc-2+default-dev, librust-paste-1+default-dev, librust-path-clean-1+default-dev, librust-pretty-assertions-1+default-dev (>= 1.4.1-~~), librust-pretty-assertions-1+unstable-dev (>= 1.4.1-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test pathrs 0.2.1 --all-targets
Features: test-name=librust-pathrs-dev:default
Depends: dh-cargo (>= 31), rustc (>= 1.63), librust-anyhow-1+default-dev, librust-clap-3+cargo-dev, librust-clap-3+default-dev, librust-errno-0.3+default-dev, librust-indoc-2+default-dev, librust-paste-1+default-dev, librust-path-clean-1+default-dev, librust-pretty-assertions-1+default-dev (>= 1.4.1-~~), librust-pretty-assertions-1+unstable-dev (>= 1.4.1-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky

Test-Command: /usr/share/cargo/bin/cargo-auto-test pathrs 0.2.1 --all-targets --no-default-features
Features: test-name=librust-pathrs-dev:
Depends: dh-cargo (>= 31), rustc (>= 1.63), librust-anyhow-1+default-dev, librust-clap-3+cargo-dev, librust-clap-3+default-dev, librust-errno-0.3+default-dev, librust-indoc-2+default-dev, librust-paste-1+default-dev, librust-path-clean-1+default-dev, librust-pretty-assertions-1+default-dev (>= 1.4.1-~~), librust-pretty-assertions-1+unstable-dev (>= 1.4.1-~~), librust-tempfile-3+default-dev, @
Restrictions: allow-stderr, skip-not-installable, flaky
